summaryrefslogtreecommitdiff
path: root/tests/t6005-dm-uuid.sh
diff options
context:
space:
mode:
authorBrian C. Lane <bcl@redhat.com>2016-03-01 10:38:26 -0800
committerBrian C. Lane <bcl@redhat.com>2016-12-22 13:49:28 -0800
commitf5cc84cdb5a607449c339cad50fe8be5dd77eb6c (patch)
tree35c1e51663543db99fc1bfb0be5ee8f702441527 /tests/t6005-dm-uuid.sh
parent2a13cc944e827dd23d2ef01a69c731fb017eb48f (diff)
downloadparted-f5cc84cdb5a607449c339cad50fe8be5dd77eb6c.tar.gz
tests: Add udevadm settle to wait_for_ loop (#1260664)
Sometimes the device will vanish after the wait_for_dev_to_appear exits. Add udevadm settle in an attempt to make sure the udev system is done flapping around and the device will stay in place. Related: rhbz#1260664
Diffstat (limited to 'tests/t6005-dm-uuid.sh')
-rwxr-xr-xtests/t6005-dm-uuid.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/tests/t6005-dm-uuid.sh b/tests/t6005-dm-uuid.sh
index ce1251a..a48ae72 100755
--- a/tests/t6005-dm-uuid.sh
+++ b/tests/t6005-dm-uuid.sh
@@ -20,6 +20,7 @@
. "${srcdir=.}/init.sh"; path_prepend_ ../parted
require_root_
+require_udevadm_settle_
(dmsetup --help) > /dev/null 2>&1 || skip_test_ "No dmsetup installed"
ss=$sector_size_
@@ -46,6 +47,7 @@ for ((i=1; i<=$n_partitions; i+=1)); do
cmd="$cmd mkpart p$i ${s}s ${s}s"
done
parted -m -a min -s /dev/mapper/$dm_name mklabel gpt $cmd > /dev/null 2>&1 || fail=1
+wait_for_dev_to_appear_ /dev/mapper/${dm_name}p${n_partitions} || fail=1
# Make sure all the partitions have UUIDs
for ((i=1; i<=$n_partitions; i+=1)); do